net.dontdrinkandroot.utils.jobmanager

## Class JobRunner

- java.lang.Object
- - java.lang.Thread
  - - net.dontdrinkandroot.utils.jobmanager.JobRunner

All Implemented Interfaces:
  Runnable

    public class JobRunner
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`JobRunner(String name, JobManager manager)`

### Method Summary

Methods
`AbstractJob<?>` `getCurrentJob()`
`JobManager` `getManager()`
`boolean` `isIdle()`
`void` `run()`
`void` `stopRunner()`
`void` `wakeUp()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobRunner

    public JobRunner(String name,
             JobManager manager)

### Method Detail

#### getManager

    public JobManager getManager()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### getCurrentJob

    public AbstractJob<?> getCurrentJob()

#### isIdle

    public boolean isIdle()

#### stopRunner

    public void stopRunner()

#### wakeUp

    public void wakeUp()